// Package define ...
//
// Description : define ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2024-06-19 10:49
package define

// RedisResult redis名玲玲执行结果
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 10:50 2024/6/19
type RedisResult struct {
	InstanceFlag string   `json:"instance_flag"` // 实例标识
	StartTime    int64    `json:"start_time"`    // 开始执行时间, 单位 : ms
	FinishTime   int64    `json:"finish_time"`   // 完成执行时间, 单位 : ms
	UsedTime     int64    `json:"used_time"`     // 执行耗时, 单位 : ms
	Result       string   `json:"result"`        // 执行结果
	Command      string   `json:"command"`       // 执行的命令
	ArgList      []string `json:"arg_list"`      // 参数列表
	Err          error    `json:"-"`             // 失败信息
}
